Bug 461390 - Review Request: perl-namespace-clean - Keep your namespace tidy
Review Request: perl-namespace-clean - Keep your namespace tidy
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/namespace...
:
: 508254 (view as bug list)
Depends On:
Blocks: 461383
  Show dependency treegraph
 
Reported: 2008-09-07 01:17 EDT by Chris Weyl
Modified: 2010-07-26 18:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-08 17:50:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-09-07 01:17:51 EDT
SRPM URL: http://fedora.biggerontheinside.net/review/perl-namespace-clean-0.08-1.fc9.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-namespace-clean.spec

Description:
When you define a function, or import one, into a Perl package, it will
naturally also be available as a method. This does not per se cause
problems, but it can complicate subclassing and, for example, plugin
classes that are included via multiple inheritance by loading them as
base classes.

The 'namespace::clean' pragma will remove all previously declared or
imported symbols at the end of the current package's compile cycle.
Functions called in the package itself will still be bound by their
name, but they won't show up as methods on your class or instances.
Comment 1 Chris Weyl 2008-09-07 01:21:02 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=811488

=====> perl-namespace-clean-0.08-1.fc9.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-namespace-clean-0.08-1.fc9.noarch.rpm
perl(namespace::clean) = 0.08
perl-namespace-clean = 0.08-1.fc9
====> requires for perl-namespace-clean-0.08-1.fc9.noarch.rpm
perl(:MODULE_COMPAT_5.10.0)  
perl(Scope::Guard)  
perl(Symbol)  
perl(strict)  
perl(vars)  
perl(warnings)
Comment 2 Parag AN(पराग) 2008-09-07 05:55:19 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=811488
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
9dc350acfbcffe1434027928f3497925  namespace-clean-0.08.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=5, Tests=35,  1 wallclock secs ( 0.02 usr  0.00 sys +  0.15 cusr  0.02 csys =  0.19 CPU)
+ Package  perl-namespace-clean-0.08-1.fc10
Provides: perl(namespace::clean) = 0.08
Requires: perl(Scope::Guard) perl(Symbol) perl(strict) perl(vars) perl(warnings)

APPROVED.
Comment 3 Chris Weyl 2008-09-07 06:42:16 EDT
New Package CVS Request
=======================
Package Name: perl-namespace-clean
Short Description: Keep your namespace tidy
Owners: cweyl
Branches: F-8, F-9, devel
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2008-09-08 11:20:29 EDT
cvs done.
Comment 5 Chris Weyl 2008-09-08 17:50:18 EDT
Imported and building.  Thanks for the review! :-)
Comment 6 Parag AN(पराग) 2009-06-26 07:18:28 EDT
*** Bug 508254 has been marked as a duplicate of this bug. ***
Comment 7 Mark Chappell 2010-07-23 19:57:41 EDT
Package Change Request
======================
Package Name: perl-namespace-clean
New Branches: EL-6
Owners: tremble

cweyl has previously expressed that he is happy for others to request EPEL
branches
Comment 8 Kevin Fenzi 2010-07-26 18:26:01 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.